<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

<ejb-jar >

   <description><![CDATA[No Description.]]></description>
   <display-name>Generated by XDoclet</display-name>

   <enterprise-beans>

      <!-- Session Beans -->
      <session >
         <description><![CDATA[The Class W83aSindicatosEJB.]]></description>

         <ejb-name>W83aSindicatosEJB</ejb-name>

         <home>w83aSindicatosEJB.W83aSindicatosEJBHome</home>
         <remote>w83aSindicatosEJB.W83aSindicatosEJB</remote>
         <ejb-class>w83aSindicatosEJB.W83aSindicatosEJBBean</ejb-class>
         <session-type>Stateless</session-type>
         <transaction-type>Container</transaction-type>

      </session>

     <!--
       To add session beans that you have deployment descriptor info for, add
       a file to your XDoclet merge directory called session-beans.xml that contains
       the <session></session> markup for those beans.
     -->

      <!-- Entity Beans -->
     <!--
       To add entity beans that you have deployment descriptor info for, add
       a file to your XDoclet merge directory called entity-beans.xml that contains
       the <entity></entity> markup for those beans.
     -->

      <!-- Message Driven Beans -->
     <!--
       To add message driven beans that you have deployment descriptor info for, add
       a file to your XDoclet merge directory called message-driven-beans.xml that contains
       the <message-driven></message-driven> markup for those beans.
     -->

   </enterprise-beans>

   <!-- Relationships -->

   <!-- Assembly Descriptor -->
     <!--
       To specify your own assembly descriptor info here, add a file to your
       XDoclet merge directory called assembly-descriptor.xml that contains
       the <assembly-descriptor></assembly-descriptor> markup.
     -->

   <assembly-descriptor >
     <!--
       To specify additional security-role elements, add a file in the merge
       directory called ejb-security-roles.xml that contains them.
     -->

   <!-- method permissions -->
     <!--
       To specify additional method-permission elements, add a file in the merge
       directory called ejb-method-permissions.ent that contains them.
     -->

   <!-- transactions -->
     <!--
       To specify additional container-transaction elements, add a file in the merge
       directory called ejb-container-transactions.ent that contains them.
     -->
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarCabeceraCuadroResultados</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aResultadosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarCuadroResultados</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aResultadosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarCabeceraCuadroResClasif</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aResultadosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarCuadroResClasifMenorIgual49</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aResultadosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarCuadroResClasifMayor49</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aResultadosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarDatosUsuario</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aUsuarioXLNetsBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarCentroTrabajo</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aCentroTrabajoBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarCentroTrabajoDocumentacion</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aCentroTrabajoBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarLotesPreavisos</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aLotesPreavisosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>detalleLotesPreavisos</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aLotesPreavisosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>detallePreavisos</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aLotesPreavisosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>obtenerDetallePreaviso</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aLotesPreavisosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>contarCentroTrabajo</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aCentroTrabajoBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>contarCentroTrabajoDocumentacion</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aCentroTrabajoBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarDocumentacion</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aDocumentacionBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>detalleActas</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aActasBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>cargarListasActas</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aActasBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>descargarDocumento</method-name>
         <method-params>
            <method-param>java.lang.String</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>descargarDocumentoActa</method-name>
         <method-params>
            <method-param>java.lang.String</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>guardarLotePreavisos</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aLotesPreavisosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Required</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarEscrutinio</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aActasBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarDiferencia</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aActasBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarDelegado</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aActasBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>detalleIncidencia</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aNuevaIncidenciasBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>darAltaRegistroNuevoNumeroEntradaDelegacion</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aUsuarioXLNetsBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>refrescarUsuarioDelegacion</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aUsuarioXLNetsBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>refrescarRegistroAutomaticoUsuarioDelegacion</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aUsuarioXLNetsBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>contarBuscarDelegadosConvenio</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aResultadosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarDelegadosConvenio</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aResultadosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Required</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>obtenerDetallesPreaviso</method-name>
         <method-params>
            <method-param>java.util.HashMap</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>descargarDocumentoIncidencias</method-name>
         <method-params>
            <method-param>java.lang.String</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>descargarDocumentoImpugnaciones</method-name>
         <method-params>
            <method-param>java.lang.String</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarCentroTrabajoActa</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aCentroTrabajoBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>descargarDocumentoPreaviso</method-name>
         <method-params>
            <method-param>java.lang.String</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>detalleCentroTrabajo</method-name>
         <method-params>
            <method-param>java.util.HashMap</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>firmarDocumento</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aLotesPreavisosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>generarNotificaciones</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aLotesPreavisosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>deshacerAltaLote</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aLotesPreavisosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>obtenerDetallesImpugnacion</method-name>
         <method-params>
            <method-param>java.util.HashMap</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>contarBuscarResCentroSindicato</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aResultadosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>
   <container-transaction >
      <method >
         <ejb-name>W83aSindicatosEJB</ejb-name>
         <method-intf>Remote</method-intf>
         <method-name>buscarResCentroSindicato</method-name>
         <method-params>
            <method-param>w83a.w83aBeans.W83aResultadosBean</method-param>
         </method-params>
      </method>
      <trans-attribute>Supports</trans-attribute>
   </container-transaction>

   <!-- finder transactions -->

   <!-- message destinations -->
     <!--
       To specify additional message-destination elements, add a file in the merge
       directory called ejb-message-destinations.ent that contains them.
     -->

   <!-- exclude list -->
     <!--
       To specify an exclude-list element, add a file in the merge directory
       called ejb-exclude-list.xml that contains it.
     -->
   </assembly-descriptor>

</ejb-jar>
